Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036854
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2017-09-14 09:582017-09-21 16:50
ReporterngarciaView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revisionff7766b4dd3f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036854: Cannot open Tree Views in Classic Mode if the role does not have access to AD_TAB and AD_TREE tables

DescriptionCannot open Tree Views in Classic Mode if the role does not have access to AD_TAB and AD_TREE tables
Steps To ReproduceAs group admin role:
   Set the 'Use Classic Popup Tree' preference to 'Y'
   Create a new manual role
   Add all organizations to it
   Add editable access to Account Tree window
   Assign it to Openbravo user

Log in with that role:
   Go to Account Tree - Element Value tab and click on Tree view toolbar button
   The following error is shown:
      org.openbravo.base.exception.OBSecurityException: Entity ADTab is not readable by the user 100

As group admin role:
   Go to Role Access window and add AD_TAB table to the previously created role (Exclude = 'N')

Log in with that role again:
   Go to Account Tree - Element Value tab and click on Tree view toolbar button
   The following error is shown:
      org.openbravo.base.exception.OBSecurityException: Entity ADTree is not directly readable, only id and identifier properties are readable, property ADTree.description is neither of these.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 00259063.0PR14Q2 closedAugustoMauch Tree Extension Project 

-  Notes
(0099056)
hgbot (developer)
2017-09-15 09:07

Repository: erp/devel/pi
Changeset: 8a41fb65ea2f691f035854fc0642d8a13b8a58db
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Sep 14 18:07:39 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/8a41fb65ea2f691f035854fc0642d8a13b8a58db [^]

related to issue 36854: initial code clean-up
  - Use diamond operator
  - Can use StringBuilder instead of StringBuffer
  - Log error into the log instead of into the standard output
  - Fix typo

---
M src/org/openbravo/erpCommon/utility/WindowTree.java
---
(0099057)
hgbot (developer)
2017-09-15 09:07

Repository: erp/devel/pi
Changeset: ff7766b4dd3ff06a1f306d840bad415b2c884197
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Fri Sep 15 09:05:09 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/ff7766b4dd3ff06a1f306d840bad415b2c884197 [^]

fixes bug 36854: Can't see classic tree view without access to AD_TAB/AD_TREE
  - The AD_Tab and AD_Tree information is now retrieved using the admin mode
  - The code has been refactored to avoid duplication: now that information is retrieved once instead of doing it three times

---
M src/org/openbravo/erpCommon/utility/WindowTree.java
---
(0099060)
hgbot (developer)
2017-09-15 10:20

Repository: erp/devel/pi
Changeset: 91336238169fed7d9bd6bb1642b24978a23ad8ca
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Fri Sep 15 10:19:40 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/91336238169fed7d9bd6bb1642b24978a23ad8ca [^]

related to issue 36854: code review improvements
- Do not use getters for the private inner class: use attributes directly
- Do not need to initialize treeId to null

---
M src/org/openbravo/erpCommon/utility/WindowTree.java
---
(0099061)
AugustoMauch (developer)
2017-09-15 10:22

Code reviewed and verified
(0099397)
hudsonbot (developer)
2017-09-21 16:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099398)
hudsonbot (developer)
2017-09-21 16:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099399)
hudsonbot (developer)
2017-09-21 16:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-09-14 09:58 ngarcia New Issue
2017-09-14 09:58 ngarcia Assigned To => platform
2017-09-14 09:58 ngarcia Modules => Core
2017-09-14 09:58 ngarcia Triggers an Emergency Pack => No
2017-09-14 09:58 ngarcia Issue Monitored: networkb
2017-09-14 13:10 caristu Relationship added related to 0025906
2017-09-15 08:57 caristu Assigned To platform => caristu
2017-09-15 08:57 caristu Summary Cannot open Tree Vies in Classic Mode if the role does not have access to AD_TAB and AD_TREE tables => Cannot open Tree Views in Classic Mode if the role does not have access to AD_TAB and AD_TREE tables
2017-09-15 08:57 caristu Description Updated View Revisions
2017-09-15 09:07 hgbot Checkin
2017-09-15 09:07 hgbot Note Added: 0099056
2017-09-15 09:07 hgbot Checkin
2017-09-15 09:07 hgbot Note Added: 0099057
2017-09-15 09:07 hgbot Status new => resolved
2017-09-15 09:07 hgbot Resolution open => fixed
2017-09-15 09:07 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ff7766b4dd3ff06a1f306d840bad415b2c884197 [^]
2017-09-15 09:08 caristu Review Assigned To => AugustoMauch
2017-09-15 10:20 hgbot Checkin
2017-09-15 10:20 hgbot Note Added: 0099060
2017-09-15 10:22 AugustoMauch Note Added: 0099061
2017-09-15 10:22 AugustoMauch Status resolved => closed
2017-09-15 10:22 AugustoMauch Fixed in Version => 3.0PR17Q4
2017-09-21 16:50 hudsonbot Checkin
2017-09-21 16:50 hudsonbot Note Added: 0099397
2017-09-21 16:50 hudsonbot Checkin
2017-09-21 16:50 hudsonbot Note Added: 0099398
2017-09-21 16:50 hudsonbot Checkin
2017-09-21 16:50 hudsonbot Note Added: 0099399


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker